Subject: Re: bug#32977: 26.1.50; Emacs (on gnome 3, wayland, debian buster) calculates incorrect horizontal positions

From: martin rudalics <[email-masked]>
Date: Thu, 26 Nov 2020 16:45:20 +0100

> I can reproduce this bug in Emacs 28:
 >
 > (set-frame-position (selected-frame) 0 0)
 > => t
 > (frame-position (selected-frame))
 > => (-10 . 66)

-10 is the position of the WM border.  I tried to describe that in
Bug#40817.  The frame proper starts at 0.

 > If I do this, I can clearly see that the frame isn't outside the screen
 > (i.e., I can see other windows between the Emacs frame and the border of
 > the screen):
 >
 > (set-frame-position (selected-frame) 9 0)
 > => t
 >
 > But still:
 >
 > (frame-position (selected-frame))
 > => (-1 . 66)
 >
 > This is a Debian bullseye system with Gnome Shell.
 >
 > Anybody got an idea what's going on here?

Mutter doesn't like us.

martin